pythtb.WFArray
==============

.. autoclass:: pythtb.WFArray







































































































































































































Methods
-------
.. autosummary::
   :nosignatures:
   :toctree: pythtb/WFArray/

   pythtb.WFArray.berry_connection
   pythtb.WFArray.berry_curvature
   pythtb.WFArray.berry_flux
   pythtb.WFArray.berry_phase
   pythtb.WFArray.chern_number
   pythtb.WFArray.choose_states
   pythtb.WFArray.copy
   pythtb.WFArray.empty_like
   pythtb.WFArray.impose_loop
   pythtb.WFArray.impose_pbc
   pythtb.WFArray.links
   pythtb.WFArray.overlap_matrix
   pythtb.WFArray.position_expectation
   pythtb.WFArray.position_hwf
   pythtb.WFArray.position_matrix
   pythtb.WFArray.projectors
   pythtb.WFArray.remove_states
   pythtb.WFArray.roll_states_with_pbc
   pythtb.WFArray.set_states
   pythtb.WFArray.solve_model
   pythtb.WFArray.solve_on_grid
   pythtb.WFArray.solve_on_one_point
   pythtb.WFArray.states
   pythtb.WFArray.wilson_loop
   




































































































Attributes
----------
.. autosummary::
   :nosignatures:
   :toctree: pythtb/WFArray/

   pythtb.WFArray.Mmn
   pythtb.WFArray.dim_k
   pythtb.WFArray.dim_lambda
   pythtb.WFArray.energies
   pythtb.WFArray.filled
   pythtb.WFArray.hamiltonian
   pythtb.WFArray.k_points
   pythtb.WFArray.lattice
   pythtb.WFArray.mesh
   pythtb.WFArray.model
   pythtb.WFArray.naxes
   pythtb.WFArray.norb
   pythtb.WFArray.nspin
   pythtb.WFArray.nstates
   pythtb.WFArray.param_points
   pythtb.WFArray.psi_nk
   pythtb.WFArray.shape
   pythtb.WFArray.shape_mesh
   pythtb.WFArray.spinful
   pythtb.WFArray.u_nk
   pythtb.WFArray.wfs
   
